<?php
/*---------------------------------------------------------------
* Copyright *
  The same terms and  conditions that apply to  PmWiki also apply
  to this add-on script.
  
* Special Thanks *
  Thanks to  Pm (Patrick Michaud, www.pmichaud.com), for creating
  PmWiki, and for sharing his knowledge  and insightfulness which
  is what made this script possible.

* Description *
  This add-on script allows you to create a  default template for
  your entire site without having to modify PmWiki's distribution
  files (and risk losing your changes after an upgrade).  It also
  allows you to create per Page or per Group templates, templates
  that will only be used on a certain page, or within a specified
  Group.

* Features *
  You can upgrade PmWiki with ease; your templates will continue
  to work,  and none of your  changes will be overwritten by the
  new install.  This script does not over-write, nor change  any
  of your existing customizations or original PmWiki files. Only
  9 lines of code in this script!
  
* Installation Instructions *
  1.  Create a new folder: /local/scripts.
  2.  Save this file (easy_templates.php) in the new directory.
  3.  Add this one line to your config.php file:
      include_once("local/scripts/easy_templates.php");
  
* Instructions to Create a Default Template *
  1.  Create a new folder called: /pub/skins/default
  2.  Copy the file default.htm to the new directory
  3.  Edit this file as you like.

* Instructions to Create a Group Specific Template *
  1.  Create a new folder in your /pub/skins directory with
      the same name as your Wiki GroupName.  
      Example:  /pub/skins/MyNewGroup
  2.  Using the default.htm as a starting point, modify it to
      suit your needs.  Save the new template with the same
	  name as your GroupName.
	  Example:  /pub/skins/MyNewGroup/MyNewGroup.htm

* Instruction to Create a Page Specific Template *
  1.  Create a new folder in your /pub/skins  directory with the
      name of the Group where your PmWiki Page Template will go.
      Example:  /pub/skins/Main/
      Example:  /pub/skins/MyNewGroup/
  2.  Use the default.htm template file as a starting point, and 
      modify it to suit your needs. Next, save the file with the
	  same name as your WikiPageName.
	  Example:  /pub/skins/Main/MyCustomePage.htm
	  Example:  /pub/skins/MyNewGroup/MyCustomPage.htm
	  
* History *
  March 18, 2004 - Added support for perPage templates,  updated
                   instructions, updated default.htm template.
  March 3, 2004  - First release.  This PmWiki add-on was written
                   on March 3, 2004 by Steven Leite.  
				   Email: steven_leite@kitimat.net

----------------------------------------------------------------
  This is the beginning of the add-on's php code. You should not
  modify anything below this point.
----------------------------------------------------------------*/ 

  $template_name = FmtPageName('pub/skins/$Group/$PageName.htm', $pagename);
  if (file_exists($template_name))
    $PageTemplateFmt = '$template_name';

  else {
	$template_name = FmtPageName('pub/skins/$Group/$Group.htm', $pagename);
	if (file_exists($template_name))
	  $PageTemplateFmt = '$template_name';

	else {
	  $template_name = FmtPageName('pub/skins/default/default.htm', $pagename);
	  if (file_exists($template_name))
	    $PageTemplateFmt = '$template_name';
	  }
    }

?>